Bug 1669297 - radvd: Use After Free in case of misconfiguration
Summary: radvd: Use After Free in case of misconfiguration
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1669298
Blocks: 1669299
TreeView+ depends on / blocked
 
Reported: 2019-01-24 21:14 UTC by Laura Pardo
Modified: 2019-09-29 15:06 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-04 05:23:24 UTC


Attachments (Terms of Use)

Description Laura Pardo 2019-01-24 21:14:22 UTC
A flaw was found in radvd. In case of misconfiguration a race condition between privsep and main thread occurs. This leads to double-free and crashing of radvd.


References:
https://github.com/reubenhwk/radvd/issues/100
https://bugzilla.redhat.com/show_bug.cgi?id=1630167
https://bugzilla.redhat.com/show_bug.cgi?id=1668812

Upstream Patch:
https://github.com/reubenhwk/radvd/pull/101

Comment 1 Laura Pardo 2019-01-24 21:14:54 UTC
Created radvd tracking bugs for this issue:

Affects: fedora-all [bug 1669298]

Comment 2 Doran Moppert 2019-03-04 05:23:24 UTC
In general, mis-handling of incorrect configuration files does not constitute a security vulnerability.  The configuration file for radvd (and most daemons) is trusted input provided by the administrator.

The bugs referenced in comment#0 track the fixing of this issue in radvd.  No security handling is required.


Note You need to log in before you can comment on or make changes to this bug.